PROGRAM_NAME='ARQ DMS Interface v5_0_1'

DEFINE_VARIABLE

/***************************************************
 This string contains the file name of the KPD file
***************************************************/
CHAR ARQ_DMS_FILENAME[] = {'ReQuest_DMS_v5_0_1.kpd'}


/***************************************************
 Variable text arrays...1 for each DMS in the system
***************************************************/
PERSISTENT CHAR ARQ_DMS_TEXT_1[15][40];
PERSISTENT CHAR ARQ_DMS_TEXT_2[15][40];
PERSISTENT CHAR ARQ_DMS_TEXT_3[15][40];
PERSISTENT CHAR ARQ_DMS_TEXT_4[15][40];


/***************************************************
 REFRESH_RATE: Number of milliseconds to wait after
				data is received before refreshing
				screen text.
	**NOTE:  Refreshing more often may slow down
			 the entire system!
***************************************************/
LONG REFRESH_RATE = 3000


/*********************************************************************************
 INTEGER ARQ_SELECT_DMS[]:  This array contains the channel numbers for all the
   source select buttons to connect to the AudioReQuest devices.  You must have 1
   for EACH AudioReQuest in the system.  Pushing the correct channel for each ARQ
   is the ONLY way the UI modules know which ARQ you wish to connect to.
**********************************************************************************/
INTEGER ARQ_SELECT_DMS[] = { 100    //ARQ 1 Zone 1 source select
                            ,101    //ARQ 1 Zone 2 source select
                            ,102    //ARQ 1 Zone 3 source select
                            ,103    //ARQ 1 Zone 4 source select
                            ,104    //ARQ 2 Zone 0 source select
                            ,105    //ARQ 3 Zone 0 source select
                            };

/*********************************************************************************
 INTEGER ARQ_DESELECT_DMS:  This array contains the channel number(s) for deselecting
   the keypad from the AudioReQuest.  There is only need for one of these for all
   AudioReQuest devices, however you may put as many channel numbers in this array
   as necessary.  This allows you to put all source buttons other than AudioReQuest
   into this array.  The AudioReQuest module keeps track of how many panels or
   keypads are connected to the AudioReQuest so it knows when to turn off feedback.
   This minimizes unnecessary traffic, thus it is essential that you pulse this
   channel whenever you leave the ReQuest pages.
**********************************************************************************/ 
INTEGER ARQ_DISCONNECT_DMS[] = 	{110	//ARQ deselection channels
								};

/*********************************************************************************
 INTEGER ARQ_CMDS_DMS[]:  This array contains the channel numbers for all the commands
   available in the module.  For any command you do not wish to use or is marked 
   "Not Used" or "reserved", please set the value to an unused or invalid channel,
   such as 1025.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
Integer ARQ_CMDS_DMS[]  = {  1   // GOTO ALL SONGS							1
                          ,  2   // GOTO ARTISTS							2
                          ,  3   // GOTO ALBUMS								3
                          ,  4   // GOTO GENRES								4
                          ,  5   // GOTO PLAYLISTS							5
                          ,  6   // PAGE UP									6
                          ,  7   // PAGE DOWN								7
                          ,  8   // NAV-MOVE LEFT							8
                          ,  9   // JUMP TO TOP OF LIST						9
                          , 10   // JUMP TO BOTTOM OF LIST					10
                          , 11   // PLAY NOW (NO FLIP)						11
                          , 12   // QUEUE									12
                          , 13   // PLAY									13
                          , 14   // PAUSE TOGGLE							14
                          , 15   // STOP									15
                          , 16   // PREVIOUS TRACK							16
                          , 17   // NEXT TRACK								17
                          , 18   // SHUFFLE TOGGLE							18
                          , 19   // REPEAT TOGGLE							19
                          , 20   // CONTINUOUS TOGGLE						20
                          , 21   // REPEAT-CONT-OFF TOGGLE					21
                          , 22   // RANDOM ON								22
                          , 23   // SEARCH IN CURRENT LIST					23
                          , 24   // SEARCH SONGS							24
                          , 25   // SEARCH ARTISTS							25
                          , 26   // SEARCH ALBUMS							26
                          , 27   // SEARCH GENRES							27
                          , 28   // SEARCH PLAYLISTS						28
                          , 29   // NEXT GENRE								29
                          , 30   // PREVIOUS GENRE							30
                          , 31   // NEXT PLAYLIST							31
                          , 32   // PREVIOUS PLAYLIST						32
                          , 33   // NEXT ARTIST								33
                          , 34   // PREVIOUS ARTIST							34
                          , 35   // NEXT ALBUM								35
                          , 36   // PREVOUS ALBUM							36
                          , 37   // PLAY PLAYLIST 1							37
                          , 38   // PLAY PLAYLIST 2							38
                          , 39   // PLAY PLAYLIST 3							39
                          , 40   // PLAY PLAYLIST 4							40
                          , 41   // PLAY PLAYLIST 5							41
                          , 42   // PLAY PLAYLIST 6							42
                          , 43   // PLAY PLAYLIST 7							43
                          , 44   // PLAY PLAYLIST 8							44
                          , 45   // PLAY PLAYLIST 9							45
                          , 46   // PLAY PLAYLIST 10						46
                          , 47   // GOTO CURRENT GENRE						47
                          , 48   // GOTO CURRENT PLAYLIST					48
                          , 49   // GOTO CURRENT SONG						49
                          , 50   // GOTO CURRENT ARTIST						50
                          , 51   // GOTO CURRENT ALBUM						51
                          , 52   // PRESS LINE 1							52
                          , 53   // PRESS LINE 2							53
                          , 54   // PRESS LINE 3							54
                          , 55   // PRESS LINE 4							55
                          , 56   // PRESS LINE 5							56
                          , 57   // PRESS LINE 6							57
                          , 58   // PRESS LINE 7							58
                          , 59   // PRESS LINE 8							59
						  , 9999 // RESET CONNECTION COUNT					60
                          };



/*********************************************************************************
 INTEGER ARQ_KEYBOARD_CH_DMS[]:  This array contains the channel numbers for all
   the letters of the alphabet.  This has not yet been implemented in the demo
   program.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
Integer ARQ_KEYBOARD_CH_DMS[] =  { 60    //LETTER A		1
                                 , 61    //LETTER B		2
                                 , 62    //LETTER C		3
                                 , 63    //LETTER D		4
                                 , 64    //LETTER E		5
                                 , 65    //LETTER F		6
                                 , 66    //LETTER G		7
                                 , 67    //LETTER H		8
                                 , 68    //LETTER I		9
                                 , 69    //LETTER J		10
                                 , 70    //LETTER K		11
                                 , 71    //LETTER L		12
                                 , 72    //LETTER M		13
                                 , 73    //LETTER N		14
                                 , 74    //LETTER O		15
                                 , 75    //LETTER P		16
                                 , 76    //LETTER Q		17
                                 , 77    //LETTER R		18
                                 , 78    //LETTER S		19
                                 , 79    //LETTER T		20
                                 , 80    //LETTER U		21
                                 , 81    //LETTER V		22
                                 , 82    //LETTER W		23
                                 , 83    //LETTER X		24
                                 , 84    //LETTER Y		25
                                 , 85    //LETTER Z		26
                                 };

/*********************************************************************************
 INTEGER ARQ_NUM_CH_DMS[]:  This array contains the channel numbers for numbers 0-9.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_NUM_CH_DMS[] =  { 86    //NUMBER 0		1
                            , 87    //NUMBER 1		2
                            , 88    //NUMBER 2		3
                            , 89    //NUMBER 3		4
                            , 90    //NUMBER 4		5
                            , 91    //NUMBER 5		6
                            , 92    //NUMBER 6		7
                            , 93    //NUMBER 7		8
                            , 94    //NUMBER 8		9
                            , 95    //NUMBER 9		10
                            };


/*********************************************************************************
 INTEGER ARQ_FB_CH_DMS[]:  This array contains the channel numbers for all the text
   feedback available in the module.  For any item you do not wish to use or is
   marked "Not Used" or "reserved", please set the value to an unused or invalid channel,
   such as 1025.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
Integer ARQ_FB_CH_DMS[]  =  { 1   // NAV WINDOW TITLE			1
                            , 2   // NAV LINE 1 TEXT			2
                            , 3   // NAV LINE 2 TEXT			3
                            , 4   // NAV LINE 3 TEXT			4
                            , 5   // NAV LINE 4 TEXT			5
                            , 6   // NAV LINE 5 TEXT			6
                            , 7   // NAV LINE 6 TEXT			7
                            , 8   // NAV LINE 7 TEXT			8
                            , 9   // NAV LINE 8 TEXT			9
                            ,10   // PLAYER TITLE				10
                            ,11   // PLAYER ARTIST				11
                            ,12   // PLAYER ALBUM				12
                            ,13   // PLAYER GENRE				13
                            ,14   // PLAYER PLAYLIST			14
                            ,15   // PLAYER NEXT SONG TITLE		15
                            };
