PROGRAM_NAME='ARQ TP Interface v5_0_1'

DEFINE_VARIABLE
CHAR ARQ_DYNAMIC_IMAGES[6][25] = {'nav_thumb'            //Thumbnail image for Browse page
                                 ,'nav_full'             //Full size image for Browse page
                                 ,'player_cur_thumb'     //Thumbnail image for Current Song on Player page
                                 ,'player_cur_full'      //Full size image for Current Song on Player page
                                 ,'player_next_thumb'    //Thumbnail image for Next Song on Player page
                                 ,'player_next_full'     //Full size image for Next Song on Player page
                                 };



/*********************************************************************************
 INTEGER ARQ_CMDS[]:  This array contains the channel numbers for all the source  
   select buttons to connect to the AudioReQuest devices.  You must have 1 for   
   EACH AudioReQuest in the system.  Pushing the correct channel for each ARQ
   is the ONLY way the UI modules know which ARQ you wish to connect to.
**********************************************************************************/
INTEGER ARQ_SELECT[] = { 200    //ARQ 1 Zone 1 source select
                        ,201    //ARQ 1 Zone 2 source select
                        ,202    //ARQ 1 Zone 3 source select
                        ,203    //ARQ 1 Zone 4 source select
                        ,204    //ARQ 2 Zone 0 source select
                        ,205    //ARQ 3 Zone 0 source select
                        };
						
/*********************************************************************************
 INTEGER ARQ_DISCONNECT[]:  This array contains the channel number(s) for deselecting
   the panel from the AudioReQuest.  There is only need for one of these for all
   AudioReQuest devices, however you may put as many channel numbers in this array
   as necessary.  This allows you to put all source buttons other than AudioReQuest
   into this array.  The AudioReQuest module keeps track of how many panels or
   keypads are connected to the AudioReQuest so it knows when to turn off feedback.
   This minimizes unnecessary traffic, thus it is essential that you pulse this
   channel whenever you leave the ReQuest pages.
**********************************************************************************/ 
INTEGER ARQ_DISCONNECT[] =	{220
							};

/*********************************************************************************
 INTEGER ARQ_CMDS[]:  This array contains the channel numbers for all the commands
   available in the module.  For any command you do not wish to use or is marked 
   "Not Used" or "reserved", please set the value to 9999, as is the case for some
   of the values already.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_CMDS[]  =   { 1    // CURSOR UP								1
                        , 2    // CURSOR DOWN							2
                        , 3    // CURSOR LEFT							3
                        , 4    // CURSOR RIGHT							4
                        , 5    // GOTO HOME								5
                        , 6    // GOTO CD								6
                        , 7    // GOTO ALL SONGS						7
                        , 8    // GOTO ARTISTS							8
                        , 9    // GOTO ALBUMS							9
                        , 10   // GOTO GENRES							10 
                        , 11   // GOTO PLAYLISTS						11
                        , 12   // GOTO NOW PLAYING						12
                        , 9999 // **reserved for future use				13
                        , 9999 // **reserved for future use				14
                        , 15   // PAGE UP								15
                        , 16   // PAGE DOWN								16
                        , 17   // NAV-MOVE LEFT							17
                        , 18   // JUMP TO TOP OF LIST					18
                        , 19   // JUMP TO BOTTOM OF LIST				19
                        , 20   // PLAY NOW (FLIP)						20 *FLIPS ARQ SCREEN TO PLAYER PAGE
                        , 21   // PLAY NOW (NO FLIP)					21 *DOES NOT FLIP ARQ SCREEN
                        , 22   // QUEUE									22 *FORMERLY KNOWN AS "JUKEBOX"
                        , 9999 // **reserved for future use				23
                        , 9999 // **reserved for future use				24
                        , 25   // DISCRETE PLAY							25
                        , 26   // DISCRETE PLAY/PAUSE TOGGLE			26
                        , 27   // PAUSE TOGGLE							27
                        , 28   // STOP									28
                        , 9999 // DISCRETE PAUSE						29
                        , 9999 // DISCRETE UNPAUSE						30
                        , 31   // PREVIOUS TRACK						31
                        , 32   // NEXT TRACK							32
                        , 33   // SHUFFLE TOGGLE						33 *ALSO HAS FEEDBACK FOR STATE
                        , 34   // REPEAT TOGGLE							34 *ALSO HAS FEEDBACK FOR STATE
                        , 35   // CONTINUOUS TOGGLE						35 *ALSO HAS FEEDBACK FOR STATE
                        , 9999 // REPEAT->CONTINUOUS->OFF TOGGLE		36
                        , 37   // RANDOM TOGGLE							37 *ALSO HAS FEEDBACK FOR STATE
                        , 9999 // DISCRETE CONTINUOUS ON				38
                        , 9999 // DISCRETE CONTINUOUS OFF				39
                        , 9999 // DISCRETE SHUFFLE ON					40
                        , 9999 // DISCRETE SHUFFLE OFF					41
                        , 9999 // DISCRETE REPEAT ON					42
                        , 9999 // DISCRETE REPEAT OFF					43
                        , 44   // DISCRETE RANDOM ON					44
                        , 9999 // DISCRETE RANDOM OFF					45
                        , 9999 // **reserved for future use				46
                        , 9999 // **reserved for future use				47
                        , 48   // SEARCH IN CURRENT LIST				48
                        , 9999 // FIND NEXT MATCH						49 *NOT CURRENTLY SUPPORTED
                        , 50   // SEARCH SONGS							50 "GOTO SONGS" THEN "SEARCH"
                        , 51   // SEARCH ARTISTS						51 "GOTO ARTISTS" THEN "SEARCH"
                        , 52   // SEARCH ALBUMS							52 "GOTO ALBUMS" THEN "SEARCH"
                        , 53   // SEARCH GENRES							53 "GOTO GENRES" THEN "SEARCH"
                        , 9999 // SEARCH PLAYLISTS						54 "GOTO PLAYLISTS" THEN "SEARCH"
                        , 55   // VOLUME UP								55
                        , 56   // VOLUME DOWN							56
                        , 57   // CLEAR NOW PLAYING						57
                        , 9999 // **reserved for future use				58
                        , 9999 // **reserved for future use				59
                        , 60   // GOTO BROWSE							60
                        , 61   // GOTO PLAYER							61
                        , 62   // NEXT GENRE							62
                        , 63   // PREVIOUS GENRE						63
                        , 64   // NEXT PLAYLIST							64
                        , 65   // PREVIOUS PLAYLIST						65
                        , 66   // NEXT ARTIST							66
                        , 67   // PREVIOUS ARTIST						67
                        , 68   // NEXT ALBUM							68
                        , 69   // PREVIOUS ALBUM						69
                        , 70   // PLAY PLAYLIST 1						70
                        , 71   // PLAY PLAYLIST 2						71
                        , 72   // PLAY PLAYLIST 3						72
                        , 73   // PLAY PLAYLIST 4						73
                        , 74   // PLAY PLAYLIST 5						74
                        , 75   // PLAY PLAYLIST 6						75
                        , 76   // PLAY PLAYLIST 7						76
                        , 77   // PLAY PLAYLIST 8						77
                        , 78   // PLAY PLAYLIST 9						78
                        , 79   // PLAY PLAYLIST 10						79
                        , 9999 // **reserved for future use				80
                        , 9999 // **reserved for future use				81
                        , 82   // GOTO CURRENT GENRE					82 *BROWSES TO GENRE OF CURRENTLY PLAYING TRACK
                        , 83   // GOTO CURRENT PLAYLIST					83
                        , 84   // GOTO CURRENT SONG						84
                        , 85   // GOTO CURRENT ARTIST					85
                        , 86   // GOTO CURRENT ALBUM					86
                        , 87   // ENTER									87 *USED MAINLY FOR KEYBOARD
                        , 88   // CANCEL								88
                        , 89   // PRESS LINE 1							89
                        , 90   // PRESS LINE 2							90
                        , 91   // PRESS LINE 3							91
                        , 92   // PRESS LINE 4							92
                        , 93   // PRESS LINE 5							93
                        , 94   // PRESS LINE 6							94
                        , 95   // PRESS LINE 7							95
                        , 96   // PRESS LINE 8							96
                        , 254  // PROGRESS BAR PRESS (Channel Number)	97 *NOT TO BE CONFUSED WITH THE LEVEL NUMBER BELOW!!
                        , 252  // PLAYER COVER ART BUTTON				98
                        , 253  // NAV COVER ART BUTTON					99
                        };


/*********************************************************************************
 INTEGER ARQ_ADV_CMDS[]:  This array contains the channel numbers for all the
   "less commonly used" commands that are not listed in "ARQ_CMDS[]".
   For any command you do not wish to use or is marked "Not Used" or "reserved",
   please set the value to 9999, as is the case for some of the values already.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_ADV_CMDS[] = { 9999 // POWER ON								1
                         , 9999 // POWER OFF							2
                         , 9999 // REBOOT								3
                         , 9999 // AUTO-RIP ON							4
                         , 9999 // AUTO-RIP OFF							5
                         , 150  // MENU									6
                         , 151  // MODE									7
                         , 152  // SELECT								8
                         , 153  // DESELECT								9
                         , 9999 // COPY									10
                         , 9999 // DELETE								11
                         , 157  // DELETE FROM PLAYLIST (NO CONFIRM)	12
                         , 9999 // EDIT									13
                         , 9999 // INFO									14
                         , 154  // VISUALS								15
                         , 9999 // THEMES								16
                         , 9999 // RECORD								17
                         , 9999 // RECORD (NO EDIT)						18
                         , 9999 // LINE-IN PLAY							19
                         , 9999 // LINE-IN RECORD						20
                         , 9999 // EJECT								21
                         , 9999 // FAST FORWARD							22
                         , 9999 // REWIND								23
                         , 155  // START TV-OUT							24
                         , 156  // CANCEL								25
						 , 9999 // LCD MODE ON							26
						 , 9999 // LCD MODE OFF							27
						 , 9999 // RESET CONNECTION COUNT				28
                         };


/*********************************************************************************
 INTEGER ARQ_KEYBOARD_CH[]:  This array contains the channel numbers for all the letters
   of the alphabet.  For any command you do not wish to use please set the value to 9999.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_KEYBOARD_CH[] =  {100    //LETTER A		1
                             ,101    //LETTER B		2
                             ,102    //LETTER C		3
                             ,103    //LETTER D		4
                             ,104    //LETTER E		5
                             ,105    //LETTER F		6
                             ,106    //LETTER G		7
                             ,107    //LETTER H		8
                             ,108    //LETTER I		9
                             ,109    //LETTER J		10
                             ,110    //LETTER K		11
                             ,111    //LETTER L		12
                             ,112    //LETTER M		13
                             ,113    //LETTER N		14
                             ,114    //LETTER O		15
                             ,115    //LETTER P		16
                             ,116    //LETTER Q		17
                             ,117    //LETTER R		18
                             ,118    //LETTER S		19
                             ,119    //LETTER T		20
                             ,120    //LETTER U		21
                             ,121    //LETTER V		22
                             ,122    //LETTER W		23
                             ,123    //LETTER X		24
                             ,124    //LETTER Y		25
                             ,125    //LETTER Z		26
                             ,140    //SPACE		27
                             ,141    //BACKSPACE	28
                             ,9999   //SYMBOL "		29
                             ,9999   //SYMBOL !		30
                             ,9999   //SYMBOL #		31
                             ,9999   //SYMBOL $		32
                             ,9999   //SYMBOL &		33
                             ,9999   //SYMBOL (		34
                             ,9999   //SYMBOL )		35
                             ,9999   //SYMBOL *		36
                             ,9999   //SYMBOL ,		37
                             ,9999   //SYMBOL .		38
                             ,9999   //SYMBOL /		39
                             ,9999   //SYMBOL :		40
                             ,9999   //SYMBOL ?		41
                             ,9999   //SYMBOL @		42
                             ,9999   //SYMBOL _		43
                             ,9999   //SYMBOL ~		44
                             ,9999   //SYMBOL -		45
                             ,9999   //SYMBOL +		46
                             ,9999   //SYMBOL =		47
                             ,9999   //SYMBOL '		48
                             };

/*********************************************************************************
 INTEGER ARQ_NUM_CH[]:  This array contains the channel numbers for numbers 0-9.
   For any command you do not wish to use please set the value to 9999.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_NUM_CH[] =  {126    //NUMBER 0		1
                        ,127    //NUMBER 1		2
                        ,128    //NUMBER 2		3
                        ,129    //NUMBER 3		4
                        ,130    //NUMBER 4		5
                        ,131    //NUMBER 5		6
                        ,132    //NUMBER 6		7
                        ,133    //NUMBER 7		8
                        ,134    //NUMBER 8		9
                        ,135    //NUMBER 9		10
                        };


/*********************************************************************************
 INTEGER ARQ_FB_CH[]:  This array contains the channel numbers for all the text
   feedback available in the module.  For any item you do not wish to use or is
   marked "Not Used" or "reserved", please set the value to 9999, as is the case for
   some of the values already.
   **NOTE:  It is ESSENTIAL that you keep the array IN ORDER and do not delete
            any of the indexes in the array.  It will not work otherwise.
**********************************************************************************/
INTEGER ARQ_FB_CH[]  =  { 1   // NAV WINDOW TITLE				1
                        , 2   // NAV LINE 1 TEXT				2
                        , 3   // NAV LINE 2 TEXT				3
                        , 4   // NAV LINE 3 TEXT				4
                        , 5   // NAV LINE 4 TEXT				5
                        , 6   // NAV LINE 5 TEXT				6
                        , 7   // NAV LINE 6 TEXT				7
                        , 8   // NAV LINE 7 TEXT				8
                        , 9   // NAV LINE 8 TEXT				9
                        ,10   // NAV SELECTED LINE ARTIST		10
                        ,11   // NAV SELECTED LINE ALBUM		11
                        ,12   // NAV SELECTED LINE GENRE		12
                        ,13   // NAV SELECTED LINE PLAYLIST		13
                        ,14   // NAV SELECTED LINE TIME			14
                        ,15   // NAV SELECTED LINE LIST SIZE	15
                        ,16   // NAV SEARCH STRING FB			16
                        ,17   // PLAYER TITLE					17
                        ,18   // PLAYER ARTIST					18
                        ,19   // PLAYER ALBUM					19
                        ,20   // PLAYER GENRE					20
                        ,21   // PLAYER PLAYLIST				21
                        ,22   // PLAYER TOTAL TIME				22
                        ,23   // PLAYER ELAPSED TIME			23
                        ,24   // PLAYER TRACK NUMBER			24
                        ,25   // PLAYER TOTAL TRACKS			25
                        ,26   // PLAYER NEXT SONG TITLE			26
                        ,27   // PLAYER NEXT SONG ARTIST		27
                        ,28   // PLAYER NEXT SONG ALBUM			28
                        ,29   // PLAYER NEXT SONG GENRE			29
                        ,30   // NEW PLAYLIST NAME FB			30
						,31   // LCD LINE 1						31
						,32   // LCD LINE 2						32
						,33   // LCD LINE 3						33
						,34   // LCD LINE 4						34
						,35   // ZONE NUMBER					35
                        };

/*********************************************************************************
 INTEGER ARQ_ELAPSED_LVL[]:  Contains the level value number for the ELAPSED TIME
   progress bar feedback.
**********************************************************************************/
INTEGER ARQ_ELAPSED_LVL = 1











